#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
cvs=$(date +%Y%m%d)

pushd "$tmp"
cvs -z3 -d:pserver:anonymous@dirac.cvs.sourceforge.net:/cvsroot/dirac co -P compress
mv compress dirac-$cvs
pushd dirac-$cvs
find . -type d -name CVS -print0 | xargs -0r rm -rf
autoreconf -fi && ./configure && make dist
mv dirac-0.6.0.tar.gz "$pwd"/dirac-0.6.0-$cvs.tar.gz
popd
# tar jcf "$pwd"/dirac-$cvs.tar.bz2 dirac-$cvs
popd >/dev/null
